<?php
$tmp = $this->db->query("
	SHOW TABLES
");

$found = false;

foreach($tmp->rows as $col) {
	$tab = reset($col);
	if($tab == DB_PREFIX . 'manufacturer_description') {
		$found = true;
	}
}

if(!$found) {
	$this->db->query("
		CREATE TABLE `oc_manufacturer_description` (
		 `manufacturer_id` int(11) NOT NULL,
		 `language_id` int(11) NOT NULL,
		 `name` varchar(64) NOT NULL,
		 `description` text NOT NULL,
		 `meta_title` varchar(255) NOT NULL,
		 `meta_h1` varchar(255) NOT NULL,
		 `meta_description` varchar(255) NOT NULL,
		 `meta_keyword` varchar(255) NOT NULL,
		 PRIMARY KEY (`manufacturer_id`,`language_id`)
		) ENGINE=MyISAM DEFAULT CHARSET=utf8
	");
}

$tmp = $this->db->query("
	SHOW COLUMNS FROM `" . DB_PREFIX . "product`
");
$prodcols = array();
foreach($tmp->rows as $col) {
	$prodcols[$col['Field']] = $col['Type'];
}

$tmp = $this->db->query("
	SHOW COLUMNS FROM `" . DB_PREFIX . "manufacturer`
");
$mancols = array();
foreach($tmp->rows as $col) {
	$mancols[$col['Field']] = $col['Type'];
}

$tmp = $this->db->query("
	SHOW COLUMNS FROM `" . DB_PREFIX . "product_image`
");
$prodimgcols = array();
foreach($tmp->rows as $col) {
	$prodimgcols[$col['Field']] = $col['Type'];
}

$tmp = $this->db->query("
	SHOW COLUMNS FROM `" . DB_PREFIX . "category`
");
$catcols = array();
foreach($tmp->rows as $col) {
	$catcols[$col['Field']] = $col['Type'];
}

$tmp = $this->db->query("
	SHOW COLUMNS FROM `" . DB_PREFIX . "product_to_category`
");
$prodcatcols = array();
foreach($tmp->rows as $col) {
	$prodcatcols[$col['Field']] = $col['Type'];
}

$tmp = $this->db->query("
	SHOW COLUMNS FROM `" . DB_PREFIX . "category_description`
");
$catdesccols = array();
foreach($tmp->rows as $col) {
	$catdesccols[$col['Field']] = $col['Type'];
}

$tmp = $this->db->query("
	SHOW COLUMNS FROM `" . DB_PREFIX . "product_description`
");
$proddesccols = array();
foreach($tmp->rows as $col) {
	$proddesccols[$col['Field']] = $col['Type'];
}

if(isset($prodcols['hix_pid']) && $prodcols['hix_pid'] != 'int(11)') {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "product`
		MODIFY hix_pid INTEGER(11) NOT NULL DEFAULT 0
	");
} elseif(!isset($prodcols['hix_pid'])) {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "product`
		ADD hix_pid INTEGER(11) NOT NULL DEFAULT 0 AFTER `product_id`
	");
}

if(isset($mancols['hix_mid']) && $mancols['hix_mid'] != 'int(11)') {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "manufacturer`
		MODIFY hix_mid INTEGER(11) NOT NULL DEFAULT 0
	");
} elseif(!isset($mancols['hix_mid'])) {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "manufacturer`
		ADD hix_mid INTEGER(11) NOT NULL DEFAULT 0 AFTER `manufacturer_id`
	");
}

if(isset($prodcols['image_src']) && $prodcols['image_src'] != 'varchar(255)') {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "product`
		MODIFY image_src VARCHAR(255) NOT NULL DEFAULT ''
	");
} elseif(!isset($prodcols['image_src'])) {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "product`
		ADD image_src VARCHAR(255) NOT NULL DEFAULT '' AFTER `image`
	");
}

if(isset($prodimgcols['image_src']) && $prodimgcols['image_src'] != 'varchar(255)') {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "product_image`
		MODIFY image_src VARCHAR(255) NOT NULL DEFAULT ''
	");
} elseif(!isset($prodimgcols['image_src'])) {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "product_image`
		ADD image_src VARCHAR(255) NOT NULL DEFAULT '' AFTER `image`
	");
}

if(isset($catcols['hix_cid']) && $catcols['hix_cid'] != 'int(11)') {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "category`
		MODIFY hix_cid INTEGER(11) NOT NULL DEFAULT 0
	");
} elseif(!isset($catcols['hix_cid'])) {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "category`
		ADD hix_cid INTEGER(11) NOT NULL DEFAULT 0 AFTER `category_id`
	");
}

if(isset($catcols['image_src']) && $catcols['image_src'] != 'varchar(255)') {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "category`
		MODIFY image_src VARCHAR(255) NOT NULL DEFAULT ''
	");
} elseif(!isset($catcols['image_src'])) {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "category`
		ADD image_src VARCHAR(255) NOT NULL DEFAULT '' AFTER `image`
	");
}

if(isset($prodcatcols['main_category']) && $prodcatcols['main_category'] != 'tinyint(1)') {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "product_to_category`
		MODIFY main_category TINYINT(1) NOT NULL DEFAULT 0
	");
} elseif(!isset($prodcatcols['main_category'])) {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "product_to_category`
		ADD main_category TINYINT(1) NOT NULL DEFAULT 0
	");
}

if(isset($catdesccols['meta_title']) && $catdesccols['meta_title'] != 'varchar(255)') {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "category_description`
		MODIFY meta_title VARCHAR(255) NOT NULL DEFAULT ''
	");
} elseif(!isset($catdesccols['meta_title'])) {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "category_description`
		MODIFY meta_title VARCHAR(255) NOT NULL DEFAULT '' AFTER `description`
	");
}

if(isset($proddesccols['meta_title']) && $proddesccols['meta_title'] != 'varchar(255)') {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "product_description`
		MODIFY meta_title VARCHAR(255) NOT NULL DEFAULT ''
	");
} elseif(!isset($proddesccols['meta_title'])) {
	$this->db->query("
		ALTER TABLE `" . DB_PREFIX . "product_description`
		MODIFY meta_title VARCHAR(255) NOT NULL DEFAULT '' AFTER `tag`
	");
}

