<?php
// Heading
$_['heading_title']          		= 'Каталог Hiconix';

// Text
$_['text_success_save']          	= 'Настройки сохранены!';
$_['text_success_load']          	= 'В процессе реализации';
$_['text_success_delete']          	= 'Товары, категории и производители Hiconix успешно удалены';
$_['text_load']          			= 'Загрузка и обновление каталога Hiconix';
$_['text_default']          		= 'Основной магазин';
$_['text_legend']          			= 'Для получения аутентификационного токена отправьте запрос на admin@hiconix.ru';

// Entry
$_['entry_load']     				= 'Загрузить';
$_['entry_update']     				= 'Обновить';
$_['entry_update_price']     		= 'Обновить цены';
$_['entry_update_seo']     			= 'Обновить SEO URL';
$_['entry_update_desc']     		= 'Обновить описания товаров';
$_['entry_update_cats']     		= 'Обновить описания категорий';

$_['entry_brand']          			= 'Бренды';
$_['entry_brand_name']     			= 'Название';
$_['entry_brand_category']     		= 'Загрузить в категорию';
$_['entry_brand_loadcats']     		= 'Загрузить категории Hiconix';

$_['entry_token']       			= 'Аутентификационный токен';
$_['entry_prefixname']       		= 'Шаблон названия товара ({name})';

$_['entry_attr']       				= 'Характеристики';
$_['entry_attr_src']       			= 'В каталоге Hiconix';
$_['entry_attr_targ']      			= 'В магазине';
$_['entry_attr_unit']      			= 'Размерность';

$_['entry_store']          			= 'Магазин';

//Атрибуты
$_['attr_code'] 					= 'Артикул';
$_['attr_teaser'] 					= 'Краткое описание';
$_['attr_coolpower'] 				= 'Производительность (холод)';
$_['attr_heatpower'] 				= 'Производительность (тепло)';
$_['attr_coolnetpower'] 			= 'Потребляемая мощность (охлаждение)';
$_['attr_heatnetpower'] 			= 'Потребляемая мощность (обогрев)';
$_['attr_inverter'] 				= 'Наличие инвертора';
$_['attr_energyeff'] 				= 'Класс энергоэффективности';
$_['attr_noise_indoor'] 			= 'Уровень шума внутреннего блока';
$_['attr_noise_outdoor'] 			= 'Уровень шума наружного блока';
$_['attr_indoortype'] 				= 'Тип внутреннего блока';
$_['attr_squaremeters'] 			= 'Обслуживаемая площадь';
$_['attr_gas_tube_diam'] 			= 'Диаметр труб: газ';
$_['attr_liquid_tube_diam'] 		= 'Диаметр труб: жидкость';
$_['attr_max_bus_length'] 			= 'Максимальная длина магистрали';
$_['attr_country'] 					= 'Страна производства';
$_['attr_warranty'] 				= 'Заводская гарантия';
$_['attr_length_width_height_indoor']		= 'Длина, ширина, высота внутреннего блока';
$_['attr_length_width_height_outdoor']		= 'Длина, ширина, высота наружного блока';
$_['attr_weight_indoor']					= 'Вес внутреннего блока';
$_['attr_weight_outdoor']					= 'Вес наружного блока';

// Help
$_['help_attr_targ']          		= 'Выберите существующий атрибут, в котором будет храниться эта характеристика';

// Error
$_['error_permission']          	= 'У Вас нет прав для управления загрузкой каталога Hiconix!';
$_['error_token']          			= 'Введите Ваш аутентификационный токен!';
$_['error_brands']          		= 'Выберите хотя бы один бренд для загрузки';
