<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
  <div class="page-header">
    <div class="container-fluid">
      <div class="pull-right">
        <a href="<?=$action_delete?>" data-toggle="tooltip" title="Удалить товары, категории и производителей Hiconix" class="btn btn-danger"><i class="fa fa-trash-o"></i></a>
        <a href="<?=$action_stop?>" data-toggle="tooltip" title="Остановить текущую сессию загрузки" class="btn btn-danger stop-btn<?=$stopclass?>"><i class="fa fa-times"></i></a>
        <a href="javascript:void(0)" data-toggle="tooltip" title="<?=$entry_load?>" class="btn btn-primary" id="load-button"><i class="fa fa-download"></i></a>
        <button type="submit" form="form-settings" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
        <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a>
      </div>
      <h1><?php echo $heading_title; ?></h1>
      <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
      </ul>
    </div>
  </div>
  <div class="container-fluid" id="page-content">
    <?php if ($error_warning) { ?>
    <div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <?php if ($success) { ?>
    <div class="alert alert-success"><i class="fa fa-check-circle"></i> <?php echo $success; ?>
      <button type="button" class="close" data-dismiss="alert">&times;</button>
    </div>
    <?php } ?>
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title"><i class="fa fa-list"></i><?php echo $text_load; ?></h3>
      </div>
      <div class="panel-body">
        <form action="<?php echo $action_save; ?>" method="post" enctype="multipart/form-data" id="form-settings" class="form-horizontal">
          <div class="form-group required">
            <label class="col-sm-2 control-label" for="input-token"><?=$entry_token?></label>
            <div class="col-sm-10">
              <input type="text" name="hiconix_settings[token]" value="<?=$settings['token']?>" placeholder="<?=$entry_token?>" id="input-token" class="form-control" />
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-prefixname"><?=$entry_prefixname?></label>
            <div class="col-sm-10">
              <input type="text" name="hiconix_settings[prefixname]" value="<?= !empty($settings['prefixname']) ? $settings['prefixname'] : ''?>"
                     placeholder="<?= !empty($entry_prefixname) ? $entry_prefixname : ''?>" id="input-prefixname" class="form-control" />
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="select-store"><?=$entry_store?></label>
            <div class="col-sm-10">
              <select name="hiconix_settings[store]" id="select-store" class="form-control">
              <?php foreach($stores as $store) : ?>
                <option value="<?=$store['store_id']?>"<?php if($current_store == $store['store_id']) echo ' selected="selected"';?>><?=$store['name']?></option>
              <?php endforeach; ?>
              </select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-token"><?=$entry_brand?></label>
            <div class="col-sm-10">
              <table class="table table-striped">
                <thead>
                  <tr>
                    <td style="width:35%"><?=$entry_brand_name?></td>
                    <td style="width:35%"><?=$entry_brand_category?></td>
                    <td style="width:20%;text-align:center"><?=$entry_brand_loadcats?></td>
                    <td style="width:10%;text-align:center"><?=$entry_load?></td>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td>AUX</td>
                    <td>
                      <input type="hidden" name="hiconix_settings[brands][0][name]" value="AUX" />
                      <input type="hidden" name="hiconix_settings[brands][0][code]" value="aux" />
                      <input type="hidden" name="hiconix_settings[brands][1][name]" value="Electrolux" />
                      <input type="hidden" name="hiconix_settings[brands][1][code]" value="electrolux" />
                      <input type="hidden" name="hiconix_settings[brands][2][name]" value="Mitsubishi Electric" />
                      <input type="hidden" name="hiconix_settings[brands][2][code]" value="mitsubishi" />
                      <select name="hiconix_settings[brands][0][category]" class="form-control">
                        <option value="0">Создать новую категорию</option>
                        <?php foreach($categories as $cid=>$cname) : ?>
                          <option value="<?=$cid?>"<?php if($settings['brands'][0]['category'] == $cid) echo ' selected="selected"'; ?>><?=$cname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[brands][0][loadcats]"
                        value="1"<?php if(!empty($settings['brands'][0]['loadcats'])) echo ' checked="checked"'; ?> />
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[brands][0][load]"
                        value="1"<?php if(!empty($settings['brands'][0]['load'])) echo ' checked="checked"'; ?> />
                    </td>
                  </tr>
                  <tr>
                    <td>Electrolux</td>
                    <td>
                      <select name="hiconix_settings[brands][1][category]" class="form-control">
                        <option value="0">Создать новую категорию</option>
                        <?php foreach($categories as $cid=>$cname) : ?>
                          <option value="<?=$cid?>"<?php if($settings['brands'][1]['category'] == $cid) echo ' selected="selected"'; ?>><?=$cname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[brands][1][loadcats]"
                        value="1"<?php if(!empty($settings['brands'][1]['loadcats'])) echo ' checked="checked"'; ?> />
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[brands][1][load]"
                        value="1"<?php if(!empty($settings['brands'][1]['load'])) echo ' checked="checked"'; ?> />
                    </td>
                  </tr>
                  <tr>
                    <td>Mitsubishi Electric</td>
                    <td>
                      <select name="hiconix_settings[brands][2][category]" class="form-control">
                        <option value="0">Создать новую категорию</option>
                        <?php foreach($categories as $cid=>$cname) : ?>
                          <option value="<?=$cid?>"<?php if($settings['brands'][2]['category'] == $cid) echo ' selected="selected"'; ?>><?=$cname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[brands][2][loadcats]"
                        value="1"<?php if(!empty($settings['brands'][2]['loadcats'])) echo ' checked="checked"'; ?> />
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[brands][2][load]"
                        value="1"<?php if(!empty($settings['brands'][2]['load'])) echo ' checked="checked"'; ?> />
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-update-price"><?=$entry_update_price?></label>
            <div class="col-sm-10">

              <input type="checkbox" name="hiconix_settings[update_price]" style="margin-top:11px" id="input-update-price"
                value="1" <?php if( !empty($settings['update_price']) ) echo ' checked="checked"'; ?>" />

              <label for="input-update-seo" style="position:relative;top:-2px;margin:0 10px 0 50px"><?=$entry_update_seo?></label>
              <input type="checkbox" name="hiconix_settings[update_seo]" style="margin-top:11px" id="update-seo"
                  value="1" <?php if( !empty($settings['update_seo']) ) echo ' checked="checked"'; ?>" />

              <label for="input-update-desc" style="position:relative;top:-2px;margin:0 10px 0 50px"><?=$entry_update_desc?></label>
              <input type="checkbox" name="hiconix_settings[update_desc]" style="margin-top:11px" id="update-desc"
                  value="1" <?php if( !empty($settings['update_desc']) ) echo ' checked="checked"'; ?>" />

              <label for="input-update-cats" style="position:relative;top:-2px;margin:0 10px 0 50px"><?=$entry_update_cats?></label>
              <input type="checkbox" name="hiconix_settings[update_cats]" style="margin-top:11px" id="update-cats"
                  value="1" <?php if( !empty($settings['update_cats']) ) echo ' checked="checked"'; ?>" />

            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label" for="input-token"><?=$entry_attr?></label>
            <div class="col-sm-10">
              <table class="table table-striped">
                <thead>
                  <tr>
                    <td style="width:35%"><?=$entry_attr_src?></td>
                    <td style="width:35%"><?=$entry_attr_targ?></td>
                    <td style="width:20%;text-align:center"><?=$entry_attr_unit?></td>
                    <td style="width:10%;text-align:center"><?=$entry_update?></td>
                  </tr>
                </thead>
                <tbody>
                  <tr>
                    <td><?=$attr_code?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][code][name]" value="<?=$attr_code?>" />
                      <select name="hiconix_settings[attributes][code][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['code']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="hidden" name="hiconix_settings[attributes][code][unit]" value='' />
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][code][update]" value="1"
                        <?php if(!empty($settings['attributes']['code']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>
                  <tr>
                    <td><?=$attr_teaser?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][teaser][name]" value="<?=$attr_teaser?>" />
                      <select name="hiconix_settings[attributes][teaser][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['teaser']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="hidden" name="hiconix_settings[attributes][teaser][unit]" value='' />
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][teaser][update]" value="1"
                        <?php if(!empty($settings['attributes']['teaser']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>
                  <tr>
                    <td><?=$attr_coolpower?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][coolpower][name]" value="<?=$attr_coolpower?>" />
                      <select name="hiconix_settings[attributes][coolpower][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['coolpower']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <select name="hiconix_settings[attributes][coolpower][unit]" class="form-control">
                        <option value="кВт"<?php if($settings['attributes']['coolpower']['unit'] == 'кВт') echo ' selected="selected"';?>>кВт</option>
                        <option value="Вт"<?php if($settings['attributes']['coolpower']['unit'] == 'Вт') echo ' selected="selected"';?>>Вт</option>
                        <option value="BTU/час"<?php if($settings['attributes']['coolpower']['unit'] == 'BTU/час') echo ' selected="selected"';?>>BTU/час</option>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][coolpower][update]" value="1"
                        <?php if(!empty($settings['attributes']['coolpower']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>
                  <tr>
                    <td><?=$attr_heatpower?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][heatpower][name]" value="<?=$attr_heatpower?>" />
                      <select name="hiconix_settings[attributes][heatpower][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['heatpower']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <select name="hiconix_settings[attributes][heatpower][unit]" class="form-control">
                        <option value="кВт"<?php if($settings['attributes']['heatpower']['unit'] == 'кВт') echo ' selected="selected"';?>>кВт</option>
                        <option value="Вт"<?php if($settings['attributes']['heatpower']['unit'] == 'Вт') echo ' selected="selected"';?>>Вт</option>
                        <option value="BTU/час"<?php if($settings['attributes']['heatpower']['unit'] == 'BTU/час') echo ' selected="selected"';?>>BTU/час</option>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][heatpower][update]" value="1"
                        <?php if(!empty($settings['attributes']['heatpower']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>
                  <tr>
                    <td><?=$attr_coolnetpower?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][coolnetpower][name]" value="<?=$attr_coolnetpower?>" />
                      <select name="hiconix_settings[attributes][coolnetpower][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['coolnetpower']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <select name="hiconix_settings[attributes][coolnetpower][unit]" class="form-control">
                        <option value="кВт"<?php if($settings['attributes']['coolnetpower']['unit'] == 'кВт') echo ' selected="selected"';?>>кВт</option>
                        <option value="Вт"<?php if($settings['attributes']['coolnetpower']['unit'] == 'Вт') echo ' selected="selected"';?>>Вт</option>
                        <option value="BTU/час"<?php if($settings['attributes']['coolnetpower']['unit'] == 'BTU/час') echo ' selected="selected"';?>>BTU/час</option>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][coolnetpower][update]" value="1"
                        <?php if(!empty($settings['attributes']['coolnetpower']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>
                  <tr>
                    <td><?=$attr_heatnetpower?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][heatnetpower][name]" value="<?=$attr_heatnetpower?>" />
                      <select name="hiconix_settings[attributes][heatnetpower][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['heatnetpower']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <select name="hiconix_settings[attributes][heatnetpower][unit]" class="form-control">
                        <option value="кВт"<?php if($settings['attributes']['heatnetpower']['unit'] == 'кВт') echo ' selected="selected"';?>>кВт</option>
                        <option value="Вт"<?php if($settings['attributes']['heatnetpower']['unit'] == 'Вт') echo ' selected="selected"';?>>Вт</option>
                        <option value="BTU/час"<?php if($settings['attributes']['heatnetpower']['unit'] == 'BTU/час') echo ' selected="selected"';?>>BTU/час</option>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][heatnetpower][update]" value="1"
                        <?php if(!empty($settings['attributes']['heatnetpower']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>
                  <tr>
                    <td><?=$attr_inverter?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][inverter][name]" value="<?=$attr_inverter?>" />
                      <select name="hiconix_settings[attributes][inverter][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['inverter']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="hidden" name="hiconix_settings[attributes][inverter][unit]" value='' />
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][inverter][update]" value="1"
                        <?php if(!empty($settings['attributes']['inverter']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>
                  <tr>
                    <td><?=$attr_energyeff?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][energyeff][name]" value="<?=$attr_energyeff?>" />
                      <select name="hiconix_settings[attributes][energyeff][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['energyeff']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="hidden" name="hiconix_settings[attributes][energyeff][unit]" value='' />
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][energyeff][update]" value="1"
                        <?php if(!empty($settings['attributes']['energyeff']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>

                  <tr>
                    <td><?=$attr_noise_indoor?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][noise_indoor][name]" value="<?=$attr_noise_indoor?>" />
                      <select name="hiconix_settings[attributes][noise_indoor][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['noise_indoor']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="hidden" name="hiconix_settings[attributes][noise_indoor][unit]" value='' />
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][noise_indoor][update]" value="1"
                        <?php if(!empty($settings['attributes']['noise_indoor']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>

                  <tr>
                    <td><?=$attr_noise_outdoor?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][noise_outdoor][name]" value="<?=$attr_noise_outdoor?>" />
                      <select name="hiconix_settings[attributes][noise_outdoor][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                        <option value="<?=$aid?>"<?php if($settings['attributes']['noise_outdoor']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="hidden" name="hiconix_settings[attributes][noise_outdoor][unit]" value='' />
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][noise_outdoor][update]" value="1"
                      <?php if(!empty($settings['attributes']['noise_outdoor']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>

                  <tr>
                    <td><?=$attr_indoortype?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][indoortype][name]" value="<?=$attr_indoortype?>" />
                      <select name="hiconix_settings[attributes][indoortype][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['indoortype']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="hidden" name="hiconix_settings[attributes][indoortype][unit]" value='' />
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][indoortype][update]" value="1"
                        <?php if(!empty($settings['attributes']['indoortype']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>
                  <tr>
                    <td><?=$attr_squaremeters?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][squaremeters][name]" value="<?=$attr_squaremeters?>" />
                      <select name="hiconix_settings[attributes][squaremeters][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['squaremeters']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="hidden" name="hiconix_settings[attributes][squaremeters][unit]" value='' />
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][squaremeters][update]" value="1"
                        <?php if(!empty($settings['attributes']['squaremeters']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>

                  <tr>
                    <td><?=$attr_length_width_height_indoor?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][length_width_height_indoor][name]" value="<?=$attr_length_width_height_indoor?>" />
                      <select name="hiconix_settings[attributes][length_width_height_indoor][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['length_width_height_indoor']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <select name="hiconix_settings[attributes][length_width_height_indoor][unit]" class="form-control">
                        <option value="мм"<?php if($settings['attributes']['length_width_height_indoor']['unit'] == 'мм') echo ' selected="selected"';?>>мм</option>
                        <option value="см"<?php if($settings['attributes']['length_width_height_indoor']['unit'] == 'см') echo ' selected="selected"';?>>см</option>
                        <option value="м"<?php if($settings['attributes']['length_width_height_indoor']['unit'] == 'м') echo ' selected="selected"';?>>м</option>
                        <option value="км"<?php if($settings['attributes']['length_width_height_indoor']['unit'] == 'км') echo ' selected="selected"';?>>км</option>
                        <option value="дюйм"<?php if($settings['attributes']['length_width_height_indoor']['unit'] == 'дюйм') echo ' selected="selected"';?>>дюйм</option>
                        <option value="мкм"<?php if($settings['attributes']['length_width_height_indoor']['unit'] == 'мкм') echo ' selected="selected"';?>>мкм</option>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][length_width_height_indoor][update]" value="1"
                        <?php if(!empty($settings['attributes']['length_width_height_indoor']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>

                  <tr>
                    <td><?=$attr_length_width_height_outdoor?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][length_width_height_outdoor][name]" value="<?=$attr_length_width_height_outdoor?>" />
                      <select name="hiconix_settings[attributes][length_width_height_outdoor][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                        <option value="<?=$aid?>"<?php if($settings['attributes']['length_width_height_outdoor']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <select name="hiconix_settings[attributes][length_width_height_outdoor][unit]" class="form-control">
                        <option value="мм"<?php if($settings['attributes']['length_width_height_outdoor']['unit'] == 'мм') echo ' selected="selected"';?>>мм</option>
                        <option value="см"<?php if($settings['attributes']['length_width_height_outdoor']['unit'] == 'см') echo ' selected="selected"';?>>см</option>
                        <option value="м"<?php if($settings['attributes']['length_width_height_outdoor']['unit'] == 'м') echo ' selected="selected"';?>>м</option>
                        <option value="км"<?php if($settings['attributes']['length_width_height_outdoor']['unit'] == 'км') echo ' selected="selected"';?>>км</option>
                        <option value="дюйм"<?php if($settings['attributes']['length_width_height_outdoor']['unit'] == 'дюйм') echo ' selected="selected"';?>>дюйм</option>
                        <option value="мкм"<?php if($settings['attributes']['length_width_height_outdoor']['unit'] == 'мкм') echo ' selected="selected"';?>>мкм</option>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][length_width_height_outdoor][update]" value="1"
                      <?php if(!empty($settings['attributes']['length_width_height_outdoor']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>

                  <tr>
                    <td><?=$attr_weight_indoor?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][weight_indoor][name]" value="<?=$attr_weight_indoor?>" />
                      <select name="hiconix_settings[attributes][weight_indoor][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['weight_indoor']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <select name="hiconix_settings[attributes][weight_indoor][unit]" class="form-control">
                        <option value="кг"<?php if($settings['attributes']['weight_indoor']['unit'] == 'кг') echo ' selected="selected"';?>>кг</option>
                        <option value="т"<?php if($settings['attributes']['weight_indoor']['unit'] == 'т') echo ' selected="selected"';?>>т</option>
                        <option value="г"<?php if($settings['attributes']['weight_indoor']['unit'] == 'г') echo ' selected="selected"';?>>г</option>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][weight_indoor][update]" value="1"
                        <?php if(!empty($settings['attributes']['weight_indoor']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>

                  <tr>
                    <td><?=$attr_weight_outdoor?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][weight_outdoor][name]" value="<?=$attr_weight_outdoor?>" />
                      <select name="hiconix_settings[attributes][weight_outdoor][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                        <option value="<?=$aid?>"<?php if($settings['attributes']['weight_outdoor']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <select name="hiconix_settings[attributes][weight_outdoor][unit]" class="form-control">
                        <option value="кг"<?php if($settings['attributes']['weight_outdoor']['unit'] == 'кг') echo ' selected="selected"';?>>кг</option>
                        <option value="т"<?php if($settings['attributes']['weight_outdoor']['unit'] == 'т') echo ' selected="selected"';?>>т</option>
                        <option value="г"<?php if($settings['attributes']['weight_outdoor']['unit'] == 'г') echo ' selected="selected"';?>>г</option>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][weight_outdoor][update]" value="1"
                      <?php if(!empty($settings['attributes']['weight_outdoor']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>

                  <tr>
                    <td><?=$attr_gas_tube_diam?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][gas_tube_diam][name]" value="<?=$attr_gas_tube_diam?>" />
                      <select name="hiconix_settings[attributes][gas_tube_diam][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['gas_tube_diam']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <select name="hiconix_settings[attributes][gas_tube_diam][unit]" class="form-control">
                        <option value="мм"<?php if($settings['attributes']['gas_tube_diam']['unit'] == 'мм') echo ' selected="selected"';?>>мм</option>
                        <option value="см"<?php if($settings['attributes']['gas_tube_diam']['unit'] == 'см') echo ' selected="selected"';?>>см</option>
                        <option value="м"<?php if($settings['attributes']['gas_tube_diam']['unit'] == 'м') echo ' selected="selected"';?>>м</option>
                        <option value="км"<?php if($settings['attributes']['gas_tube_diam']['unit'] == 'км') echo ' selected="selected"';?>>км</option>
                        <option value="дюйм"<?php if($settings['attributes']['gas_tube_diam']['unit'] == 'дюйм') echo ' selected="selected"';?>>дюйм</option>
                        <option value="мкм"<?php if($settings['attributes']['gas_tube_diam']['unit'] == 'мкм') echo ' selected="selected"';?>>мкм</option>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][gas_tube_diam][update]" value="1"
                        <?php if(!empty($settings['attributes']['gas_tube_diam']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>
                  <tr>
                    <td><?=$attr_liquid_tube_diam?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][liquid_tube_diam][name]" value="<?=$attr_liquid_tube_diam?>" />
                      <select name="hiconix_settings[attributes][liquid_tube_diam][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['liquid_tube_diam']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <select name="hiconix_settings[attributes][liquid_tube_diam][unit]" class="form-control">
                        <option value="мм"<?php if($settings['attributes']['liquid_tube_diam']['unit'] == 'мм') echo ' selected="selected"';?>>мм</option>
                        <option value="см"<?php if($settings['attributes']['liquid_tube_diam']['unit'] == 'см') echo ' selected="selected"';?>>см</option>
                        <option value="м"<?php if($settings['attributes']['liquid_tube_diam']['unit'] == 'м') echo ' selected="selected"';?>>м</option>
                        <option value="км"<?php if($settings['attributes']['liquid_tube_diam']['unit'] == 'км') echo ' selected="selected"';?>>км</option>
                        <option value="дюйм"<?php if($settings['attributes']['liquid_tube_diam']['unit'] == 'дюйм') echo ' selected="selected"';?>>дюйм</option>
                        <option value="мкм"<?php if($settings['attributes']['liquid_tube_diam']['unit'] == 'мкм') echo ' selected="selected"';?>>мкм</option>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][liquid_tube_diam][update]" value="1"
                        <?php if(!empty($settings['attributes']['liquid_tube_diam']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>
                  <tr>
                    <td><?=$attr_max_bus_length?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][max_bus_length][name]" value="<?=$attr_max_bus_length?>" />
                      <select name="hiconix_settings[attributes][max_bus_length][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['max_bus_length']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <select name="hiconix_settings[attributes][max_bus_length][unit]" class="form-control">
                        <option value="мм"<?php if($settings['attributes']['max_bus_length']['unit'] == 'мм') echo ' selected="selected"';?>>мм</option>
                        <option value="см"<?php if($settings['attributes']['max_bus_length']['unit'] == 'см') echo ' selected="selected"';?>>см</option>
                        <option value="м"<?php if($settings['attributes']['max_bus_length']['unit'] == 'м') echo ' selected="selected"';?>>м</option>
                        <option value="км"<?php if($settings['attributes']['max_bus_length']['unit'] == 'км') echo ' selected="selected"';?>>км</option>
                        <option value="дюйм"<?php if($settings['attributes']['max_bus_length']['unit'] == 'дюйм') echo ' selected="selected"';?>>дюйм</option>
                        <option value="мкм"<?php if($settings['attributes']['max_bus_length']['unit'] == 'мкм') echo ' selected="selected"';?>>мкм</option>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][max_bus_length][update]" value="1"
                        <?php if(!empty($settings['attributes']['max_bus_length']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>
                  <tr>
                    <td><?=$attr_country?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][country][name]" value="<?=$attr_country?>" />
                      <select name="hiconix_settings[attributes][country][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['country']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="hidden" name="hiconix_settings[attributes][country][unit]" value='' />
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][country][update]" value="1"
                        <?php if(!empty($settings['attributes']['country']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>
                  <tr>
                    <td><?=$attr_warranty?></td>
                    <td>
                      <input type="hidden" name="hiconix_settings[attributes][warranty][name]" value="<?=$attr_warranty?>" />
                      <select name="hiconix_settings[attributes][warranty][map]" class="form-control">
                        <option value="0">Создать новый атрибут</option>
                        <?php foreach($attributes as $aid=>$aname) : ?>
                          <option value="<?=$aid?>"<?php if($settings['attributes']['warranty']['map'] == $aid) echo ' selected="selected"'; ?>><?=$aname?></option>
                        <?php endforeach; ?>
                      </select>
                    </td>
                    <td style="text-align:center">
                      <input type="hidden" name="hiconix_settings[attributes][warranty][unit]" value='' />
                    </td>
                    <td style="text-align:center">
                      <input type="checkbox" name="hiconix_settings[attributes][warranty][update]" value="1"
                        <?php if(!empty($settings['attributes']['warranty']['update'])) echo 'checked="checked"'; ?> />
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
<?php echo $footer; ?>
<script type="text/javascript"><!--
$('#select-store').on('change', function(evt){
  var store_id = parseInt($(this).val());
  var get = window.location.search.replace('?', '').split('&');
  var newget = [];
  $.each(get, function(i, el){
    var pair = el.split('=');
    if(pair[0] != 'store') {
      newget.push(el);
    }
  });
  if(store_id) {
    newget.push('store='+store_id);
  }
  window.location.search = '?' + newget.join('&');
});
$('#load-button').on('click', function(evt){
  evt.stopPropagation();
  evt.preventDefault();
  var $form = $('#form-settings');
  $form.prop('action', '<?=$action_load?>').submit();
  return false;
});
$('.stop-btn').on('click', function(evt){
  if(!$(this).hasClass('active')) {
    evt.stopPropagation();
    evt.preventDefault();
    return false;
  }
});

$(function(){
  var tmout = false;
  var getlog = function(){
    var ht;
    $.get('<?=$getlog?>', function(d){
      if(d.code == 'NOFILE') return false;
      $('.alert').remove();
      if(d.code == 'ERROR') {
        ht =  '<div class="alert alert-danger" style="position:relative;padding-right:30px"><i class="fa fa-exclamation-circle"></i> ' + d.msg +
                '<button type="button" class="close" style="position:absolute;top:10px;right:10px" data-dismiss="alert">&times;</button></div>';
        $('#page-content').prepend(ht);
        if(tmout) {
          clearTimeout(tmout);
        }
      } else if(d.code == 'LOAD' || d.code == 'PRODS') {
        ht = '<div class="alert alert-success" style="position:relative;padding-right:30px"><i class="fa fa-check-circle"></i> ' + d.msg +
                '<button type="button" class="close" style="position:absolute;top:10px;right:10px" data-dismiss="alert">&times;</button></div>';
        $('#page-content').prepend(ht);
        tmout = setTimeout(getlog, 500);
      } else if(d.code == 'COMPLETE') {
        ht = '<div class="alert alert-success" style="position:relative;padding-right:30px"><i class="fa fa-check-circle"></i> ' + d.msg +
                '<button type="button" class="close" style="position:absolute;top:10px;right:10px" data-dismiss="alert">&times;</button></div>';
        $('#page-content').prepend(ht);
        if(tmout) {
          clearTimeout(tmout);
        }
      } else if(d.code == 'NOFILE') {
        if(tmout) {
          clearTimeout(tmout);
        }
      }
    });
  };
  getlog();
});
//--></script>
